import ../types
import json
import leg

proc mkParseJourney*(common: CommonData): proc =
  proc parseJourney(j: JsonNode): Journey =
    var common = common
    common.dateStr = j{"date"}.getStr()

    result.refreshToken = j{"ctxRecon"}.getStr()
    result.legs = j{"secL"}.getElems().map(mkParseLeg(common))
    result.lastUpdated = common.timeStamp

  return parseJourney
